mailgraph (1.14-16) unstable; urgency=medium

  * Change to my new email address.
  * Fix documentation error (Closes: #865914):
    - Add debian/NEWS.Debian to mailgraph.docs.
    - Correct debian/README.Debian.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).
  * Add missing mailgraph.service file.
  * New README.source to explain the branching model used.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * debian/changelog:
    - Remove trailing whitespaces.
  * debian/control:
    - Change Vcs-* to point to the new repository.
    - Use secure URI for homepage.
    - Change priority from deprecated extra to optional.
    - Add requested default-mta to recommends.
  * debian/copyright:
    - Use secure URI for copyright format and source.
    - Change year to 2018 for packaging.
  * debian/NEWS.debian:
    - Use paragraphs instead bulleted lists.
  * debian/mailgraph.preinst (Closes: #900507):
    - Remove outdated script. It was used to update releases before 1.13-1.1.
      Oldstable has 1.14-13.
  * debian/watch:
    - Use secure URI.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 09 Sep 2018 12:15:23 +0200

mailgraph (1.14-15) unstable; urgency=medium

  * Move to /usr/share/mailgraph for compliance with Apache 2.4
    (Closes: #802775):
    - Changed files:
      + debian/mailgraph.install
    - Add new section to NEWS.debian
    - New debian/mailgraph.conf, a sample apache2 conf file.
    - Thanks to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>.
  * debian/control:
    - Bump Standarts-Version to 3.9.8 (no changes required).
    - Bump debhelper Build-Depends minimum version to 10.
    - Add missing lsb-base to Depends for binary:mailgraph
      as suggested by lintian.
    - Use secure URI for VCS-Browser.
  * debian/compat:
    - Bump compat level to 10.
  * debian/watch:
    - Bump Version to 4 (no changes required).
  * debian/copyright:
    - Add year 2017 to debian/*.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 20 Jan 2017 07:05:03 +0100

mailgraph (1.14-14) unstable; urgency=medium

  * Fix debian/patches/050_greylist.diff (LP: #1499625).
    - Thanks to Edgar Wiesmann <edgar.wiesmann@rif-ev.de>.
  * debian/copyright:
    - Add 2015 to debian/*.
  * Remove debian/source/options: xz is standard now.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 27 Sep 2015 22:16:10 +0200

mailgraph (1.14-13) unstable; urgency=medium

  * debian/mailgraph.install
    - Add mailgraph.css to /usr/lib/cgi-bin (Closes: #760196)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 02 Sep 2014 09:13:07 +0200

mailgraph (1.14-12) unstable; urgency=medium

  * New Maintainer (Closes: #753569).
  * debian/control:
    - Set myself as maintainer.
    - Bump Standards-Version to 3.9.5 (no changes required).
    - Change Vcs-Browser to cgit.
  * debian/patches:
    - Add debian/patches/105_postscreen.diff (Closes: #730826).
      (Thanks to Vaclav Ovsik <vaclav.ovsik@gmail.com>)
      + Add output of postscreen into analysis.
    - Add debian/patches/110_mailgraph.cgi.patch.
      + move from debian/rules into this patch.
  * debian/copyright:
    - Add myself to the list of authors for debian/*.
    - Update copyright years for 2014.
  * Add debian/source/options:
    - Set compression to xz & compression-level to 9 to save space.
  * Change debian/compat to 9 (no changes required).
  * debian/rules:
    - Move manipulating mailgraph.cgi into a new patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 23 Aug 2014 08:40:48 +0200

mailgraph (1.14-11) unstable; urgency=low

  * Update copyright file as per DEP-5 1.0 format
  * Add patch from Pascal Volk to deal with Postfix enable_long_queue_ids
    parameter (Closes: #677747)
  * Update to new policy 3.9.3 (no changes needed)

 -- Julien Valroff <julien@debian.org>  Tue, 28 Feb 2012 18:44:18 +0100

mailgraph (1.14-10) unstable; urgency=low

  * Add VCS fields
  * Update DEP-5 uri
  * Add support for "status" action to init.d script - thanks to Peter
    Eisentraut <petere@debian.org> (Closes: #652998)
  * Updated Debconf translation for Norwegian Bokmål - thanks to Bjørn
    Steensrud <bjornst@skogkatt.homelinux.org> (Closes: #654448)
  * Add missing LSB description field in the init script

 -- Julien Valroff <julien@debian.org>  Wed, 04 Jan 2012 19:14:16 +0100

mailgraph (1.14-9) unstable; urgency=low

  * Fix patch to set default location of rrd files (Closes: #617411)
  * Add patch to create greylisting RRD and graph (supports postgrey and
    grossd)
  * Remove Norbert from Uploaders, thanks to him for his work on this
    package
  * Update DEP-5 url to the latest revision
  * Update to new policy 3.9.2 (no changes needed)

 -- Julien Valroff <julien@debian.org>  Sat, 09 Apr 2011 07:55:10 +0200

mailgraph (1.14-8) unstable; urgency=low

  * Add patch from Malte S. Stretz to replace rrdtool badge by a simple
    text link which prevents tracking by oss.oetiker.ch
  * Bump debhelper compat to 8

 -- Julien Valroff <julien@debian.org>  Sat, 12 Feb 2011 15:11:19 +0100

mailgraph (1.14-7) unstable; urgency=low

  * Make use of perl:Depends substvar
  * Update copyright information as per latest DEP-5
  * Add patch from Adrian von Bidder <avbidder@fortytwo.ch> to fix virus
    notification with clamav-milter (Closes: #610521)

 -- Julien Valroff <julien@debian.org>  Wed, 19 Jan 2011 18:28:20 +0100

mailgraph (1.14-6) unstable; urgency=low

  * Debconf templates translation update:
    + nl - thanks to Remco Rijnders (Closes: #600552)
  * Remove duplicate description from README.Debian
  * Update my email address
  * Remove DMUA field, now useless

 -- Julien Valroff <julien@debian.org>  Wed, 10 Nov 2010 21:46:34 +0100

mailgraph (1.14-5) unstable; urgency=low

  * l10n update upload:
    + ja - thanks to Hideki Yamane (Closes: #599885)
    + sv - thanks to Martin Bagge (Closes: #599898)
    + sk - thanks to Ivan Masár (Closes: #599907)
    + ru - thanks to Yuri Kozlov (Closes: #599935)
    + eu - thanks to Iñaki Larrañaga Murgoitio (Closes: #599942)
    + da - thanks to Joe Hansen (Closes: #600096)

 -- Julien Valroff <julien@kirya.net>  Sun, 17 Oct 2010 18:32:07 +0200

mailgraph (1.14-4) unstable; urgency=low

  * Recommend apache2 instead of apache
  * Add the CSS directly into the CGI script (Closes: #513527)
  * Update debconf templates translations:
    + de - thanks to Martin Eberhard Schauer (Closes: #593570)
    + it - thanks to Luca Monducci (Closes: #593719)
    + es - thanks to Ricardo Fraile (Closes: #597066)
    + cs - thanks to Miroslav Kure (Closes: #598348)
  * Add versioned pre-dependency on debconf
  * Use ucf to deal with conffile (thanks to Matthijs Möhlmann)
  * Make sure to merge debconf and default values (Closes: #597066)
  * Re-merged new and updated debconf templates translations,
    part of Christian Perrier's last NMU's:
    + da - thanks to Joe Hansen
    + fi - thanks to Esko Arajärvi
    + ja - thanks to Hideki Yamane
    + ru - thanks to Yuri Kozlov
    + sk - thanks to Ivan Masár
    + sv - thanks to Martin Bagge
  * Fix typo in watch file

 -- Julien Valroff <julien@kirya.net>  Sat, 09 Oct 2010 20:54:02 +0200

mailgraph (1.14-3) unstable; urgency=low

  * Update debconf templates translations:
    + pt - thanks to Américo Monteiro (Closes: #592654)
    + fr - thanks to Christian Perrier (Closes: #592825)
  * Add example configuration file for lighttpd and add
    a note in README.Debian about it (Closes: #568210)
  * Ensure all files are correclty cleaned after build

 -- Julien Valroff <julien@kirya.net>  Fri, 13 Aug 2010 14:12:38 +0200

mailgraph (1.14-2) unstable; urgency=low

  * Take over package maintenance, thanks to Norbert for his previous work
  * Bump debhelper compat to 7
  * Bump Standards version to 3.9.1
  * Add DM-Upload-Allowed field
  * Add Homepage field
  * Switched from dpatch to quilt
  * Convert to 3.0 (quilt) format
  * Use dh minimal rules
  * Update copyright information and switch for machine-readble format
  * Add manpage, thanks to Gregory Colpart <reg@evolix.fr>
    (Closes: #189033, #462294)
  * Add watch file (Closes: #489719)
  * Add patch to account for infected mail as logged by DSPAM
    (Closes: #370091)
  * Allow extra options to be passed to mailgraph through default file
    (Closes: #311437, #258980)
  * Complete rewrite of the postinst script
    (Closes: #513634, #337923, #283664, #343726)
  * Add ${misc:Depends} to the dependencies
  * Make sure the rrd directory has the correct ownership
  * Add mailgraph.css to the package (Closes: #513527)
  * Rewrite of the init script using lsb functions:
    + Call mailgraph with --daemon_pid option (Closes: #508786)
    + Make sure the rrd dir is writable by the HTTP daemon (Closes: #543900)
  * Rewrite both short and long descriptions to state Exim and Sendmail
    are also supported (Closes: #469257)
  * Add recommends for an MTA
  * Add patch to allow mailgraph.cgi to show graph if the script is renamed
    (Closes: #434486)
  * Improve debconf template for IGNORE_LOCALHOST option
  * Update Debconf templates translation:
    + ja - thanks to Hidekia Yamane (Closes: #564234)
    + sv - thanks to Martin Bagge (Closes: #564127)
    + sk - thanks to helix84 (Closes: #564099)
    + ru - thanks to Yuri Kozlov (Closes: #564081)
    + vi - thanks to Clytie Siddall <clytie@riverland.net.au>

 -- Julien Valroff <julien@kirya.net>  Thu, 11 Feb 2010 20:19:09 +0100

mailgraph (1.14-1.4squeeze1) testing-proposed-updates; urgency=low

  * Change maintainer field to myself
  * Update Finnish Debconf translation (Esko Arajärvi) (Closes: #595609)

 -- Julien Valroff <julien@kirya.net>  Sat, 23 Oct 2010 14:11:22 +0200

mailgraph (1.14-1.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Vietnamese. Closes: #477325
    - Swedish. Closes: #491121
    - Japanese. Closes: #493531

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 Jul 2008 22:41:04 +0200

mailgraph (1.14-1.1) unstable; urgency=low

  * Non-maintainer upload To fix pending l10n issues.
  * Debconf translations:
    - Dutch. Closes: #415523
    - Spanish. Closes: #433252
    - Portuguese. Closes: #443657
    - Finnish. Closes: #472557
    - Slovak. Closes: #475094
    - Galician. Closes: #475265
    - Basque. Closes: #475299
    - Russian. Closes: #476148
    - Czech. Closes: #476593
  * [Lintian] Add copyright information to debian/copyright
  * [Lintian] Pre-Depend on debconf as it is used in the preinst script

 -- Christian Perrier <bubulle@debian.org>  Tue, 25 Mar 2008 18:21:37 +0100

mailgraph (1.14-1) unstable; urgency=low

  * New upstream release. (closes: #459311, #468377)
    + Add support for Exim. (closes: #300796)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 01 Mar 2008 09:45:23 +0100

mailgraph (1.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Local changes to /etc/default/mailgraph are overwritten" by using
    the current configuration in debian/config. (closes: #433510)

 -- Gregor Herrmann <gregor+debian@comodo.priv.at>  Fri, 07 Sep 2007 03:28:51 +0200

mailgraph (1.13-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 30 Jun 2007 14:50:35 +0200

mailgraph (1.12-2.1) unstable; urgency=low

  * Non-maintainer upload to fix remaining l10n issues
  * Debconf translation updates:
    - Italian. Closes: #399108
    - French. Closes: #399368
    - Brazilian Portuguese. Closes: #400541
    - Norwegian Bokmål. Closes: #405415
    - German. Closes: #407919

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Jan 2007 14:37:15 +0100

mailgraph (1.12-2) unstable; urgency=medium

  * Acknowledge NMUs 1.12-1.2, thanks Tobias.
    (closes: #362849, #334845, #328849, #327110, #394642)
  * Acknowledge NMUs 1.12-1.3, thanks Christian.
    (closes: #396111, #349844)
  * Renamed /usr/sbin/mailgraph.pl to /usr/sbin/mailgraph.
  * Fixed logical failure in debconf questions.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 14 Nov 2006 22:39:44 +0100

mailgraph (1.12-1.3) unstable; urgency=low

  * Non-maintainer upload to complete the former one.
  * Add debconf-updatepo to the clean target of debian/rules.
    (closes: #349844)
  * Debconf translation updates:
    - Norwegian Bokmål added. (closes: #396111)
  * Lintian fixes:
    - Use a default debhelper compatibility of 4, in debian/compat.
    - Build-Depend on po-debconf (we use it in the clean target).
    - Provide an LSB section in the init script (a pretty basic one).

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Nov 2006 07:24:53 +0100

mailgraph (1.12-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typo in debconf template and unfuzzy translations. (closes: #394642)
  * Debconf translation updates:
    - Czech added and updated during NMU period. (closes: #327110)
    - French added. (closes: #328849)
    - Swedish added. (closes: #334845)
    - Portuguese added. (closes: #362849)
    - Slovak added. Sent in during the call for updates.
    - Brazilian Portuguese added. Sent in during the call for updates.
    - Italian added. Sent in during the call for updates.
    - Vietnamese added. Sent in during the call for updates.
    - German added by myself.

 -- Tobias Toedter <t.toedter@gmx.net>  Sun, 29 Oct 2006 11:27:22 +0100

mailgraph (1.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/postinst: Use invoke-rc.d, if available, to run init.d script.

 -- Lars Wirzenius <liw@iki.fi>  Sat, 15 Jul 2006 11:11:53 +0300

mailgraph (1.12-1) unstable; urgency=low

  * New upstream release.
    + Added compatibility with Spamassassin 3.1.x. (closes: #333239)
    + Added compatibility with rrdtool 1.2.x. (closes: #326014)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 13 Nov 2005 13:30:57 +0100

mailgraph (1.11-1) unstable; urgency=low

  * New upstream release.
    + Added support for clamsmtpd. (closes: #288482, #291516)
  * Updated debian/patches/102_mailgraph.cgi.diff.
  * Added a default value for ignore_localhost debconf question.
    (closes: #284241)
  * Switched to gettext-based debconf templates, thanks to Martin Quinson for
    the patch. (closes: #233265)
  * Removed hack to remove rdd files when purging the package, caused trouble
    on upgrades.
  * No longer move files from /var/cache/mailgraph to /var/lib/mailgraph.
  * Moved creation of /var/lib/mailgraph from preinst to postinst.
  * Recommend "httpd | apache" to fix lintian warning.
  * Added "| debconf-2.0" to debconf dependency.
  * Updated Standards-Version to 3.6.2.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 21 Aug 2005 17:58:43 +0200

mailgraph (1.10-1) unstable; urgency=low

  * New upstream release. (closes: #280749)
    + Adds automatic refresh of html page. (closes: #255015)
  * Split out patches and moved over to dpatch.
  * Use /var/lib/mailgraph for rrd databases. (closes: #243424, #233192)
  * Add a debconf question for enabling --ignore-localhost. (closes: #234384)
  * Remove /etc/default/mailgraph on purge. (closes: #224458)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 27 Nov 2004 18:32:26 +0100

mailgraph (1.8-1) unstable; urgency=low

  * New upstream release. (closes: #230904)
  * No longer overwrite configuration on upgrade. (closes: #228623)

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 14 Feb 2004 18:06:45 +0100

mailgraph (1.4-5) unstable; urgency=low

  * Graphs now refer to "Spam", not "SPAM". (closes: #225369)
  * Fixed loosing historical data when upgrading from 1.4-3 or older.
    (closes: #225350)
  * Changed path for datafiles in debconf template.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 05 Jan 2004 22:21:35 +0100

mailgraph (1.4-4) unstable; urgency=low

  * Modified README.fetchmail so it's clear that mentioned option is for
    fetchmail, and not for mailgraph.pl. (closes: #211874)
  * Added README.Debian file with some explanations about usage of mailgraph,
    thanks to Rev Simon Rumble. (closes: #219147)
  * Moved png graphs to /var/cache instead of /var/lib. (closes: #224458)
  * Fixed some typos in debconf template. (closes: #224194)
  * Bumped Standards-Version to 3.6.1 (no changes).

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 25 Dec 2003 23:53:35 +0100

mailgraph (1.4-3) unstable; urgency=low

  * Call updaterc.d and db_purge in postrm.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 03 Aug 2003 09:39:25 +0100

mailgraph (1.4-2) unstable; urgency=low

  * Modified postrm to remove all config files when purging. (closes: #203878)
  * Extend debconf configuration to ask if RRD database files should be purged
    when removing the package.
  * Bumped Standards-Version to 3.6.0 (no changes).

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 02 Aug 2003 17:01:23 +0100

mailgraph (1.4-1) unstable; urgency=low

  * New upstream release. (closes: #190578)
  * Fixed /var/lib/mailgraph permissions. (closes: #196861)

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 28 Jul 2003 23:52:25 +0100

mailgraph (1.2-3) unstable; urgency=low

  * Fixed init script. (closes: #184602)
  * Added README.fetchmail file. (closes: #186769)
  * Changed architecture to from any to all.
  * Moved configuration file from /etc to /etc/default.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 24 May 2003 23:21:35 +0200

mailgraph (1.2-2) unstable; urgency=low

  * Fixed config script. (closes: #182024)

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 24 Feb 2003 08:02:11 +0100

mailgraph (1.2-1) unstable; urgency=low

  * Initial Release. (closes: #167693)

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 17 Feb 2003 16:41:54 +0100
